> ## Documentation Index
> Fetch the complete documentation index at: https://developers.orchestrasolutions.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve content of StringToken

> This method allows you to retrieve the stored content of the StringToken.

<Warning>
  **In scope of compliance**

  If you choose to use the StringToken to store card details (whether the card number (PAN), the CVV, or the full card details), when retrieving the data stored behind a token, your system is then exposed to the raw card details and as such is in scope of PCI compliance.

  The same applies to any other type of sensitive data. By retrieving the data, your system is then in scope of the relevant compliance.

  If you are unsure whether you should use this method, please reach out to our team and we would be happy to review your use case and explain your options.
</Warning>

<Card title="Tokenization Guide" icon="book" href="/guides/rest-api/tokenization">
  Complete guide with examples and PCI compliance considerations
</Card>


## OpenAPI

````yaml get /StringTokens/{token}
openapi: 3.0.4
info:
  title: Orchestra API
  description: Code Version 1.0.11.6
  version: Prod
servers:
  - url: https://api.orchestrasolutions.com
security: []
tags:
  - name: AP2
    description: Test AP2 controller
  - name: EWalletOperations
    description: Card operations controller
  - name: MockCredentialProvider
    description: |-
      Mock Credential Provider controller implementing JSON-RPC 2.0 protocol
      Used for testing AP2 checkout flows
  - name: PaymentGatewayAccounts
    description: Payment Gateway Accounts
  - name: PaymentGateway
    description: Universal Payment Gateway
  - name: StringTokens
    description: Token management
  - name: Tools
    description: >-
      Card tools for BIN/IIN lookup, brand identification, Luhn validation, and
      card risk assessment
  - name: Utils
    description: Utils
paths:
  /StringTokens/{token}:
    get:
      tags:
        - StringTokens
      summary: Retrieve content of StringToken
      description: >-
        This method allows you to retrieve the stored content of the
        StringToken.
      operationId: StringTokenRetrieve
      parameters:
        - name: token
          in: path
          description: >-
            The token ID of the StringToken you would like to retrieve the
            content for
          required: true
          schema:
            pattern: '[A-Za-z0-9]{32}'
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PayTools_Api.Models.StringTokenOutputModel
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/PayTools_Shared.Models.ValidationErrorMessage
        '401':
          description: Not authenticated
        '404':
          description: Not found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    PayTools_Api.Models.StringTokenOutputModel:
      type: object
      properties:
        clearPayload:
          type: string
          description: The content of the StringToken that was stored in our system
          nullable: true
        token:
          type: string
          description: Token ID representing the stringToken
          nullable: true
        createTime:
          type: string
          description: Date and time the string was stored
          format: date-time
      additionalProperties: false
      description: Model for display a string token, including the clear text
    PayTools_Shared.Models.ValidationErrorMessage:
      type: object
      properties:
        fieldName:
          type: string
          description: Field name the error(s) are referring to
          nullable: true
        errors:
          type: array
          items:
            type: string
          description: List of errors
          nullable: true
      additionalProperties: false
      description: Model for display validation error messages
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: Please enter ApiKey into field
      name: X-Api-Key
      in: header

````